OIWObjectIdentifiers (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.oiw

## Interface OIWObjectIdentifiers

-     public interface OIWObjectIdentifiers

  OIW organization's OIDs:

  id-SHA1 OBJECT IDENTIFIER ::= {iso(1) identified-organization(3) oiw(14) secsig(3) algorithms(2) 26 }

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1ObjectIdentifier` | `desCBC` OID: 1.3.14.3.2.7
    `static ASN1ObjectIdentifier` | `desCFB` OID: 1.3.14.3.2.9
    `static ASN1ObjectIdentifier` | `desECB` OID: 1.3.14.3.2.6
    `static ASN1ObjectIdentifier` | `desEDE` OID: 1.3.14.3.2.17
    `static ASN1ObjectIdentifier` | `desOFB` OID: 1.3.14.3.2.8
    `static ASN1ObjectIdentifier` | `dsaWithSHA1` OID: 1.3.14.3.2.27
    `static ASN1ObjectIdentifier` | `elGamalAlgorithm` ElGamal Algorithm OBJECT IDENTIFIER ::= {iso(1) identified-organization(3) oiw(14) dirservsig(7) algorithm(2) encryption(1) 1 } OID: 1.3.14.7.2.1.1
    `static ASN1ObjectIdentifier` | `idSHA1` OID: 1.3.14.3.2.26
    `static ASN1ObjectIdentifier` | `md4WithRSA` OID: 1.3.14.3.2.2
    `static ASN1ObjectIdentifier` | `md4WithRSAEncryption` OID: 1.3.14.3.2.4
    `static ASN1ObjectIdentifier` | `md5WithRSA` OID: 1.3.14.3.2.3
    `static ASN1ObjectIdentifier` | `sha1WithRSA` OID: 1.3.14.3.2.29

- - ### Field Detail

    - #### md4WithRSA

          static final ASN1ObjectIdentifier md4WithRSA

      OID: 1.3.14.3.2.2

    - #### md5WithRSA

          static final ASN1ObjectIdentifier md5WithRSA

      OID: 1.3.14.3.2.3

    - #### md4WithRSAEncryption

          static final ASN1ObjectIdentifier md4WithRSAEncryption

      OID: 1.3.14.3.2.4

    - #### desECB

          static final ASN1ObjectIdentifier desECB

      OID: 1.3.14.3.2.6

    - #### desCBC

          static final ASN1ObjectIdentifier desCBC

      OID: 1.3.14.3.2.7

    - #### desOFB

          static final ASN1ObjectIdentifier desOFB

      OID: 1.3.14.3.2.8

    - #### desCFB

          static final ASN1ObjectIdentifier desCFB

      OID: 1.3.14.3.2.9

    - #### desEDE

          static final ASN1ObjectIdentifier desEDE

      OID: 1.3.14.3.2.17

    - #### idSHA1

          static final ASN1ObjectIdentifier idSHA1

      OID: 1.3.14.3.2.26

    - #### dsaWithSHA1

          static final ASN1ObjectIdentifier dsaWithSHA1

      OID: 1.3.14.3.2.27

    - #### sha1WithRSA

          static final ASN1ObjectIdentifier sha1WithRSA

      OID: 1.3.14.3.2.29

    - #### elGamalAlgorithm

          static final ASN1ObjectIdentifier elGamalAlgorithm

           ElGamal Algorithm OBJECT IDENTIFIER ::=
             {iso(1) identified-organization(3) oiw(14) dirservsig(7) algorithm(2) encryption(1) 1 }

      OID: 1.3.14.7.2.1.1